Package org.drinkless.tdlib

# Class TdApi.CallbackQueryAnswer

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallbackQueryAnswer

Enclosing class:
  TdApi

public static class TdApi.CallbackQueryAnswer extends TdApi.Object
Contains a bot's answer to a callback query.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `showAlert`
  True, if an alert must be shown to the user instead of a toast notification.
  `String`
  `text`
  Text of the answer.
  `String`
  `url`
  URL to be opened.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallbackQueryAnswer()`
  Contains a bot's answer to a callback query.
  `CallbackQueryAnswer(String text, boolean showAlert, String url)`
  Contains a bot's answer to a callback query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public String text
    Text of the answer.

  - ### showAlert

    public boolean showAlert
    True, if an alert must be shown to the user instead of a toast notification.

  - ### url

    public String url
    URL to be opened.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallbackQueryAnswer

    public CallbackQueryAnswer()
    Contains a bot's answer to a callback query.

  - ### CallbackQueryAnswer

    public CallbackQueryAnswer(String text, boolean showAlert, String url)
    Contains a bot's answer to a callback query.
    Parameters:
      `text` - Text of the answer.
      `showAlert` - True, if an alert must be shown to the user instead of a toast notification.
      `url` - URL to be opened.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR